Package twisted :: Package python

[show private | hide private]
[frames | no frames]

## Package twisted.python

Twisted Python: Utilities and Enhancements for Python.

### Modules

- `compat`: Compatability module to provide backwards compatability for useful Python features.
- `components`: Component architecture for Twisted.
- `context`
- `dispatch`
- `domhelpers`: Deprecated, use `twisted.web.domhelpers`instead.
- `dxprofile`: Utility functions for reporting bytecode frequencies to Skip Montanaro's stat collector.
- `failure`: Asynchronous-friendly error mechanism.
- `formmethod`: Form-based method objects.
- `hook`: I define support for hookable instance methods.
- `htmlizer`
- `log`: Logging and metrics infrastructure.
- `logfile`: A rotating, browsable log file.
- `mutablestring`
- `mvc`: A simple Model-View-Controller framework for separating presentation, business logic, and data.
- `observable`: A group of classes which implement the observer/observable and publisher/subscriber pattern.
- `otp`: A One-Time Password System based on RFC 2289
- `plugin`
- `rebuild`: *Real* reloading support for Python.
- `reflect`: Standardized versions of various cool and/or strange things that you can do with Python's reflection capabilities.
- `register`
- `roots`: Twisted Python Roots: an abstract hierarchy representation for Twisted.
- `runtime`
- `shortcut`: Creation of Windows shortcuts.
- `syslog`
- `text`: Miscellany of text-munging functions.
- `threadable`: A module that will allow your program to be multi-threaded, micro-threaded, and single-threaded.
- `threadpool`: twisted.threadpool: a pool of threads to which we dispatch tasks.
- `timeoutqueue`: A Queue subclass that supports timeouts.
- `usage`: twisted.python.usage is a module for parsing/handling the command line of your program.
- `util`
- `win32`: Win32 utilities.

Variable Summary
`FakeModule` | `shortcut`

Variable Details

### shortcut

  Type:
    `FakeModule`
  Value:

        <Fake twisted.python.shortcut>

Generated by Epydoc 1.1 on Thu May 8 13:18:55 2003 | http://epydoc.sf.net